%define section	free

%define version		0.8.1
%define cvs_version	0_8_1

Name:		jline
Version:	%{version}
Release:	1jpp
Epoch:		0
Summary:	Java library for reading and editing user input in console applications
License:	LGPL
URL:		http://jline.sf.net/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://download.sourceforge.net/sourceforge/jline/jline-src-0_8_1.jar
Requires:	/bin/sh
Requires:	/bin/stty
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JLine is a java library for reading and editing user input in console
applications. It features tab-completion, command history, password
masking, customizable keybindings, and pass-through handlers to use to
chain to other console applications.

%package	demo
Summary:	Demos for %{name}
Group:		Development/Documentation

%description	demo
Demonstrations and samples for %{name}.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{cvs_version}

%build
mkdir -p native
perl -p -i -e 's|^.*<attribute name="Class-Path".*||' build.xml
ant jars doc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 release/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 release/%{name}-demo.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-demo-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc-build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/META-INF

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc AUTHORS CHANGELOG LICENSE
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files demo
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-demo.jar
%{_javadir}/%{name}-demo-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Mon Jan 26 2004 David Walluck <david@anti-microsoft.org> 0:0.8.1-1jpp
- release
